Mailinglist Archive: opensuse-bugs (4652 mails)

< Previous Next >
[Bug 1044375] New: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter will not load firmware
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 14 Jun 2017 21:52:59 +0000
  • Message-id: <bug-1044375-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1044375


Bug ID: 1044375
Summary: Qualcomm Atheros QCA6174 802.11ac Wireless Network
Adapter will not load firmware
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 42.2
Hardware: x86-64
OS: openSUSE 42.2
Status: NEW
Severity: Major
Priority: P5 - None
Component: Network
Assignee: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
Reporter: grglsn765@xxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

I could not get the wireless card to work for my Qualcomm Atheros QCA6174
802.11ac Wireless Network Adapter on my new Dell Inspiron 15 5576. I installed
Leap 42.2 from the installation DVD, and then downloaded the upgraded firmware
on my other computer, put it on a stick, and installed it in the new computer,
and the wireless still didn't work.

Using kernel-firmware 20160516git-5.1, the wireless card would not load, and
here is the output of dmesg:
-----------------------
dmesg | grep ath
[ 14.391171] ath10k_pci 0000:01:00.0: enabling device (0000 -> 0002)
[ 14.392760] ath10k_pci 0000:01:00.0: pci irq msi-x interrupts 8 irq_mode 0
reset_mode 0
[ 14.648202] ath10k_pci 0000:01:00.0: Direct firmware load for
ath10k/cal-pci-0000:01:00.0.bin failed with error -2
[ 14.648439] ath10k_pci 0000:01:00.0: Direct firmware load for
ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[ 14.648444] ath10k_pci 0000:01:00.0: could not fetch firmware file
'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
[ 15.197783] ath10k_pci 0000:01:00.0: failed to fetch board data for
ath10k/QCA6174/hw3.0 from
bus=pci,vendor=168c,device=003e,subsystem-vendor=1028,subsystem-device=0310/board-2.bin
[ 17.341715] ath10k_pci 0000:01:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff
sub 1028:0310) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 fwapi 4 bdapi 1 htt-ver 3.26
wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1 features
wowlan,ignore-otp,no-4addr-pad
[ 17.341723] ath10k_pci 0000:01:00.0: debug 0 debugfs 0 tracing 0 dfs 0
testmode 0
[ 18.341839] ath10k_pci 0000:01:00.0: suspend timed out - target pause event
never came
[ 18.409466] ath: EEPROM regdomain: 0x6c
[ 18.409472] ath: EEPROM indicates we should expect a direct regpair map
[ 18.409475] ath: Country alpha2 being used: 00
[ 18.409475] ath: Regpair used: 0x6c
[ 28.045746] ath10k_pci 0000:01:00.0: failed to enable adaptive qcs: -11
[ 31.045656] ath10k_pci 0000:01:00.0: could not suspend target (-11)
[ 36.709605] ath10k_pci 0000:01:00.0: failed to set rx-chainmask: -11, req
0x3
[ 39.709679] ath10k_pci 0000:01:00.0: failed to set arp ac override
parameter: -11
[ 42.709541] ath10k_pci 0000:01:00.0: could not suspend target (-11)
[ 48.017549] ath10k_pci 0000:01:00.0: failed to enable adaptive qcs: -11
--------------------------

So there is more to it. In the openSUSE lists we had a discussion, and I was
directed to these pages:
https://github.com/kvalo/ath10k-firmware/pull/2
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain/ath10k/QCA6174

I figured out that on that last page, I needed to download the firmware from
that page (it is a patched version, I believe), and then copy the files into my
/lib/firmware/ath10k/QCA6174/ directory.

It still was an incomplete patch, though, as I had to then go into
/lib/firmware/ath10k/QCA6174/hw3.0 and rename the file firmware-4.bin to
firmware-5.bin. Once I did that, the firmware loaded and I was able to get the
wireless card working.

So it works now, but hoping that future firmware packages will incorporate the
patched firmware.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages